# Enum Class HtsgetRequestField

java.lang.Object
java.lang.Enum<HtsgetRequestField>
htsjdk.samtools.util.htsget.HtsgetRequestField

All Implemented Interfaces:
  `Serializable, Comparable<HtsgetRequestField>, Constable`

public enum HtsgetRequestField extends Enum<HtsgetRequestField>
Fields which can be used to filter a htsget request as defined by the spec

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CIGAR`
`FLAG`
`MAPQ`
`PNEXT`
`POS`
`QNAME`
`QUAL`
`RNAME`
`RNEXT`
`SEQ`
`TLEN`

## Method Summary

Modifier and Type
Method
Description
`static HtsgetRequestField`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static HtsgetRequestField[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### QNAME

public static final HtsgetRequestField QNAME

### FLAG

public static final HtsgetRequestField FLAG

### RNAME

public static final HtsgetRequestField RNAME

### POS

public static final HtsgetRequestField POS

### MAPQ

public static final HtsgetRequestField MAPQ

### CIGAR

public static final HtsgetRequestField CIGAR

### RNEXT

public static final HtsgetRequestField RNEXT

### PNEXT

public static final HtsgetRequestField PNEXT

### TLEN

public static final HtsgetRequestField TLEN

### SEQ

public static final HtsgetRequestField SEQ

### QUAL

public static final HtsgetRequestField QUAL

## Method Details

### values

public static HtsgetRequestField[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static HtsgetRequestField valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null